githubEdit

Multi-Booking Cart

Sell more than one booking together in a cart

To use this capability, add octo/cart to your Octo-Capabilities header.

This capability lets you create multiple bookings from the same supplier in a single cart. In Ventrata, a cart is called an order, and this document uses that term.

All order paths below are public /octo routes.

Reserve Booking in an Order

This capability extends booking write routes from Bookings so you can pass orderId to attach a booking to an existing order (or omit orderId to auto-create one).

Order Fields Returned on Booking and Gift Responses

When using octo/cart, the booking response (and gift response when using octo/gifts) includes additional order-level fields.

When using this capability, if you omit orderId from the initial request, Ventrata creates a new order automatically and returns orderId in the response. You can then reuse orderId in future booking requests to attach bookings to the same order.

You can also provide orderId on POST /gifts (when octo/gifts is enabled) to attach a gift voucher to an existing order.

Create Order

post

Accepts identityId on the order payload.

When creating/updating orders with nested bookings and gifts, each nested item can include identityId.

Body
currencystringOptional

ISO 4217 currency code.

Example: USD
orderIdstringOptional

Order identifier.

Example: ord_20260514_9f3c21
resellerReferencestringOptional

Reseller reference value.

Example: RES-BOOK-10045
termsAcceptedbooleanOptional

From capability octo/content.

Example: true
returnUrlstring · uriOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
Responses
chevron-right
200

Returns the standard Order response.

application/json

From capability octo/cart.

activebooleanOptional

Whether active is enabled.

Example: true
cancellablebooleanOptional

Whether cancellable is enabled.

Example: true
confirmablebooleanOptional

Whether confirmable is enabled.

Example: true
currencystringOptional

ISO 4217 currency code.

Example: USD
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
idstring · uuidOptional

Unique identifier for this resource.

Example: 3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7
invoicePdfUrlstring · nullableOptional

Invoice pdf url URL.

Example: https://www.city-sightseeing.com
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
orderIdstringRequired

Order identifier.

Example: ord_20260514_9f3c21
productIdstringOptional

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
quotebooleanOptional

Whether quote is enabled.

Example: false
requiredContactFieldsstring[]Optional

List of required contact field values.

Example: ["fullName","emailAddress"]
settlementMethodstring · nullableOptional

Settlement method value.

Example: DIRECT
settlementMethodsstring[]Optional

List of settlement method values.

Example: ["DIRECT","DEFERRED"]
statusstringRequired

Current status value.

Example: ON_HOLD
supplierReferencestring · nullableOptional

Supplier reference value.

Example: SUP-BOOK-7782
testModebooleanOptional

Whether test mode is enabled.

Example: false
updatablebooleanOptional

Whether updatable is enabled.

Example: true
utcConfirmedAtstring · date-time · nullableOptional

Utc confirmed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcCreatedAtstring · date-timeOptional

Utc created at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcExpiresAtstring · date-time · nullableOptional

Utc expires at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtstring · date-timeOptional

Utc updated at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
visibleContactFieldsstring[]Optional

List of visible contact field values.

Example: ["fullName","emailAddress"]
termsAcceptedboolean · nullableOptional

From capability octo/content.

Example: true
returnUrlstring · nullableOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
post
/orders
200

Returns the standard Order response.

Get Order

get

Retrieve order data including offerCombinations[].

Path parameters
orderIdstringRequired

The order ID

Example: ord_20260514_9f3c21
Responses
chevron-right
200

Successful response

application/json

From capability octo/cart.

activebooleanOptional

Whether active is enabled.

Example: true
cancellablebooleanOptional

Whether cancellable is enabled.

Example: true
confirmablebooleanOptional

Whether confirmable is enabled.

Example: true
currencystringOptional

ISO 4217 currency code.

Example: USD
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
idstring · uuidOptional

Unique identifier for this resource.

Example: 3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7
invoicePdfUrlstring · nullableOptional

Invoice pdf url URL.

Example: https://www.city-sightseeing.com
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
orderIdstringRequired

Order identifier.

Example: ord_20260514_9f3c21
productIdstringOptional

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
quotebooleanOptional

Whether quote is enabled.

Example: false
requiredContactFieldsstring[]Optional

List of required contact field values.

Example: ["fullName","emailAddress"]
settlementMethodstring · nullableOptional

Settlement method value.

Example: DIRECT
settlementMethodsstring[]Optional

List of settlement method values.

Example: ["DIRECT","DEFERRED"]
statusstringRequired

Current status value.

Example: ON_HOLD
supplierReferencestring · nullableOptional

Supplier reference value.

Example: SUP-BOOK-7782
testModebooleanOptional

Whether test mode is enabled.

Example: false
updatablebooleanOptional

Whether updatable is enabled.

Example: true
utcConfirmedAtstring · date-time · nullableOptional

Utc confirmed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcCreatedAtstring · date-timeOptional

Utc created at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcExpiresAtstring · date-time · nullableOptional

Utc expires at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtstring · date-timeOptional

Utc updated at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
visibleContactFieldsstring[]Optional

List of visible contact field values.

Example: ["fullName","emailAddress"]
termsAcceptedboolean · nullableOptional

From capability octo/content.

Example: true
returnUrlstring · nullableOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
get
/orders/{orderId}
200

Successful response

Field definitions are included in the operation schemas above.

Update Order

patch

Accepts identityId on the order payload.

When creating/updating orders with nested bookings and gifts, each nested item can include identityId.

Path parameters
orderIdstringRequired

Order ID.

Example: ord_20260514_9f3c21
Body
currencystringOptional

ISO 4217 currency code.

Example: USD
resellerReferencestringOptional

Reseller reference value.

Example: RES-BOOK-10045
termsAcceptedbooleanOptional

From capability octo/content.

Example: true
offersstring[]Optional

From capability octo/offers.

Example: ["offer-example"]
returnUrlstring · uriOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
Responses
chevron-right
200

Returns the standard Order response.

application/json

From capability octo/cart.

activebooleanOptional

Whether active is enabled.

Example: true
cancellablebooleanOptional

Whether cancellable is enabled.

Example: true
confirmablebooleanOptional

Whether confirmable is enabled.

Example: true
currencystringOptional

ISO 4217 currency code.

Example: USD
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
idstring · uuidOptional

Unique identifier for this resource.

Example: 3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7
invoicePdfUrlstring · nullableOptional

Invoice pdf url URL.

Example: https://www.city-sightseeing.com
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
orderIdstringRequired

Order identifier.

Example: ord_20260514_9f3c21
productIdstringOptional

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
quotebooleanOptional

Whether quote is enabled.

Example: false
requiredContactFieldsstring[]Optional

List of required contact field values.

Example: ["fullName","emailAddress"]
settlementMethodstring · nullableOptional

Settlement method value.

Example: DIRECT
settlementMethodsstring[]Optional

List of settlement method values.

Example: ["DIRECT","DEFERRED"]
statusstringRequired

Current status value.

Example: ON_HOLD
supplierReferencestring · nullableOptional

Supplier reference value.

Example: SUP-BOOK-7782
testModebooleanOptional

Whether test mode is enabled.

Example: false
updatablebooleanOptional

Whether updatable is enabled.

Example: true
utcConfirmedAtstring · date-time · nullableOptional

Utc confirmed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcCreatedAtstring · date-timeOptional

Utc created at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcExpiresAtstring · date-time · nullableOptional

Utc expires at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtstring · date-timeOptional

Utc updated at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
visibleContactFieldsstring[]Optional

List of visible contact field values.

Example: ["fullName","emailAddress"]
termsAcceptedboolean · nullableOptional

From capability octo/content.

Example: true
returnUrlstring · nullableOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
patch
/orders/{orderId}
200

Returns the standard Order response.

Preview Order Update With identityId

patch

Accepts identityId on the order payload.

When creating/updating orders with nested bookings and gifts, each nested item can include identityId.

Path parameters
orderIdstringRequired

Order ID.

Example: ord_20260514_9f3c21
Body
currencystringOptional

ISO 4217 currency code.

Example: USD
resellerReferencestringOptional

Reseller reference value.

Example: RES-BOOK-10045
termsAcceptedbooleanOptional

From capability octo/content.

Example: true
offersstring[]Optional

From capability octo/offers.

Example: ["offer-example"]
returnUrlstring · uriOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
Responses
chevron-right
200

Returns the standard Order preview response.

application/json

From capability octo/cart.

activebooleanOptional

Whether active is enabled.

Example: true
cancellablebooleanOptional

Whether cancellable is enabled.

Example: true
confirmablebooleanOptional

Whether confirmable is enabled.

Example: true
currencystringOptional

ISO 4217 currency code.

Example: USD
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
idstring · uuidOptional

Unique identifier for this resource.

Example: 3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7
invoicePdfUrlstring · nullableOptional

Invoice pdf url URL.

Example: https://www.city-sightseeing.com
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
orderIdstringRequired

Order identifier.

Example: ord_20260514_9f3c21
productIdstringOptional

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
quotebooleanOptional

Whether quote is enabled.

Example: false
requiredContactFieldsstring[]Optional

List of required contact field values.

Example: ["fullName","emailAddress"]
settlementMethodstring · nullableOptional

Settlement method value.

Example: DIRECT
settlementMethodsstring[]Optional

List of settlement method values.

Example: ["DIRECT","DEFERRED"]
statusstringRequired

Current status value.

Example: ON_HOLD
supplierReferencestring · nullableOptional

Supplier reference value.

Example: SUP-BOOK-7782
testModebooleanOptional

Whether test mode is enabled.

Example: false
updatablebooleanOptional

Whether updatable is enabled.

Example: true
utcConfirmedAtstring · date-time · nullableOptional

Utc confirmed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcCreatedAtstring · date-timeOptional

Utc created at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcExpiresAtstring · date-time · nullableOptional

Utc expires at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtstring · date-timeOptional

Utc updated at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
visibleContactFieldsstring[]Optional

List of visible contact field values.

Example: ["fullName","emailAddress"]
termsAcceptedboolean · nullableOptional

From capability octo/content.

Example: true
returnUrlstring · nullableOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
patch
/orders/{orderId}/preview
200

Returns the standard Order preview response.

Order Extend

post

Order responses include questionAnswers fields.

Path parameters
orderIdstringRequired

The order ID

Example: ord_20260514_9f3c21
Body
currencystringOptional

ISO 4217 currency code.

Example: USD
resellerReferencestringOptional

Reseller reference value.

Example: RES-BOOK-10045
termsAcceptedbooleanOptional

From capability octo/content.

Example: true
offersstring[]Optional

From capability octo/offers.

Example: ["offer-example"]
returnUrlstring · uriOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
Responses
chevron-right
200

Successful response

application/json

From capability octo/cart.

activebooleanOptional

Whether active is enabled.

Example: true
cancellablebooleanOptional

Whether cancellable is enabled.

Example: true
confirmablebooleanOptional

Whether confirmable is enabled.

Example: true
currencystringOptional

ISO 4217 currency code.

Example: USD
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
idstring · uuidOptional

Unique identifier for this resource.

Example: 3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7
invoicePdfUrlstring · nullableOptional

Invoice pdf url URL.

Example: https://www.city-sightseeing.com
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
orderIdstringRequired

Order identifier.

Example: ord_20260514_9f3c21
productIdstringOptional

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
quotebooleanOptional

Whether quote is enabled.

Example: false
requiredContactFieldsstring[]Optional

List of required contact field values.

Example: ["fullName","emailAddress"]
settlementMethodstring · nullableOptional

Settlement method value.

Example: DIRECT
settlementMethodsstring[]Optional

List of settlement method values.

Example: ["DIRECT","DEFERRED"]
statusstringRequired

Current status value.

Example: ON_HOLD
supplierReferencestring · nullableOptional

Supplier reference value.

Example: SUP-BOOK-7782
testModebooleanOptional

Whether test mode is enabled.

Example: false
updatablebooleanOptional

Whether updatable is enabled.

Example: true
utcConfirmedAtstring · date-time · nullableOptional

Utc confirmed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcCreatedAtstring · date-timeOptional

Utc created at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcExpiresAtstring · date-time · nullableOptional

Utc expires at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtstring · date-timeOptional

Utc updated at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
visibleContactFieldsstring[]Optional

List of visible contact field values.

Example: ["fullName","emailAddress"]
termsAcceptedboolean · nullableOptional

From capability octo/content.

Example: true
returnUrlstring · nullableOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
post
/orders/{orderId}/extend
200

Successful response

Confirm Order With identityId

post

Accepts identityId on confirm-order request payloads.

Path parameters
orderIdstringRequired

Order ID.

Example: ord_20260514_9f3c21
Body
currencystringOptional

ISO 4217 currency code.

Example: USD
resellerReferencestringOptional

Reseller reference value.

Example: RES-BOOK-10045
termsAcceptedbooleanOptional

From capability octo/content.

Example: true
offersstring[]Optional

From capability octo/offers.

Example: ["offer-example"]
returnUrlstring · uriOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
Responses
chevron-right
200

Returns the standard Order response.

application/json

From capability octo/cart.

activebooleanOptional

Whether active is enabled.

Example: true
cancellablebooleanOptional

Whether cancellable is enabled.

Example: true
confirmablebooleanOptional

Whether confirmable is enabled.

Example: true
currencystringOptional

ISO 4217 currency code.

Example: USD
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
idstring · uuidOptional

Unique identifier for this resource.

Example: 3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7
invoicePdfUrlstring · nullableOptional

Invoice pdf url URL.

Example: https://www.city-sightseeing.com
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
orderIdstringRequired

Order identifier.

Example: ord_20260514_9f3c21
productIdstringOptional

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
quotebooleanOptional

Whether quote is enabled.

Example: false
requiredContactFieldsstring[]Optional

List of required contact field values.

Example: ["fullName","emailAddress"]
settlementMethodstring · nullableOptional

Settlement method value.

Example: DIRECT
settlementMethodsstring[]Optional

List of settlement method values.

Example: ["DIRECT","DEFERRED"]
statusstringRequired

Current status value.

Example: ON_HOLD
supplierReferencestring · nullableOptional

Supplier reference value.

Example: SUP-BOOK-7782
testModebooleanOptional

Whether test mode is enabled.

Example: false
updatablebooleanOptional

Whether updatable is enabled.

Example: true
utcConfirmedAtstring · date-time · nullableOptional

Utc confirmed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcCreatedAtstring · date-timeOptional

Utc created at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcExpiresAtstring · date-time · nullableOptional

Utc expires at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtstring · date-timeOptional

Utc updated at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
visibleContactFieldsstring[]Optional

List of visible contact field values.

Example: ["fullName","emailAddress"]
termsAcceptedboolean · nullableOptional

From capability octo/content.

Example: true
returnUrlstring · nullableOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
post
/orders/{orderId}/confirm
200

Returns the standard Order response.

If you're using the cart capability and want to set a resellerReference you should do so as a booking update as there are no reseller references on the order level.

Once you call this method, each of the bookings and gifts contained within the order will be confirmed too.

Delete Order

delete

Order responses include questionAnswers fields.

Path parameters
orderIdstringRequired

The order ID

Example: ord_20260514_9f3c21
Body
reasonstringOptional

Reason for the requested action.

Example: Customer request
Responses
chevron-right
200

Successful response

application/json

From capability octo/cart.

activebooleanOptional

Whether active is enabled.

Example: true
cancellablebooleanOptional

Whether cancellable is enabled.

Example: true
confirmablebooleanOptional

Whether confirmable is enabled.

Example: true
currencystringOptional

ISO 4217 currency code.

Example: USD
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
idstring · uuidOptional

Unique identifier for this resource.

Example: 3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7
invoicePdfUrlstring · nullableOptional

Invoice pdf url URL.

Example: https://www.city-sightseeing.com
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
orderIdstringRequired

Order identifier.

Example: ord_20260514_9f3c21
productIdstringOptional

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
quotebooleanOptional

Whether quote is enabled.

Example: false
requiredContactFieldsstring[]Optional

List of required contact field values.

Example: ["fullName","emailAddress"]
settlementMethodstring · nullableOptional

Settlement method value.

Example: DIRECT
settlementMethodsstring[]Optional

List of settlement method values.

Example: ["DIRECT","DEFERRED"]
statusstringRequired

Current status value.

Example: ON_HOLD
supplierReferencestring · nullableOptional

Supplier reference value.

Example: SUP-BOOK-7782
testModebooleanOptional

Whether test mode is enabled.

Example: false
updatablebooleanOptional

Whether updatable is enabled.

Example: true
utcConfirmedAtstring · date-time · nullableOptional

Utc confirmed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcCreatedAtstring · date-timeOptional

Utc created at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcExpiresAtstring · date-time · nullableOptional

Utc expires at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtstring · date-timeOptional

Utc updated at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
visibleContactFieldsstring[]Optional

List of visible contact field values.

Example: ["fullName","emailAddress"]
termsAcceptedboolean · nullableOptional

From capability octo/content.

Example: true
returnUrlstring · nullableOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
delete
/orders/{orderId}
200

Successful response

This endpoint performs order-level cancellation. Equivalent behavior is available via POST /orders/{orderId}/cancel.

Order Cancellation (POST)

post

Order responses include questionAnswers fields.

Path parameters
orderIdstringRequired

The order ID

Example: ord_20260514_9f3c21
Body
reasonstringOptional

Reason for the requested action.

Example: Customer request
Responses
chevron-right
200

Successful response

application/json

From capability octo/cart.

activebooleanOptional

Whether active is enabled.

Example: true
cancellablebooleanOptional

Whether cancellable is enabled.

Example: true
confirmablebooleanOptional

Whether confirmable is enabled.

Example: true
currencystringOptional

ISO 4217 currency code.

Example: USD
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
idstring · uuidOptional

Unique identifier for this resource.

Example: 3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7
invoicePdfUrlstring · nullableOptional

Invoice pdf url URL.

Example: https://www.city-sightseeing.com
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
orderIdstringRequired

Order identifier.

Example: ord_20260514_9f3c21
productIdstringOptional

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
quotebooleanOptional

Whether quote is enabled.

Example: false
requiredContactFieldsstring[]Optional

List of required contact field values.

Example: ["fullName","emailAddress"]
settlementMethodstring · nullableOptional

Settlement method value.

Example: DIRECT
settlementMethodsstring[]Optional

List of settlement method values.

Example: ["DIRECT","DEFERRED"]
statusstringRequired

Current status value.

Example: ON_HOLD
supplierReferencestring · nullableOptional

Supplier reference value.

Example: SUP-BOOK-7782
testModebooleanOptional

Whether test mode is enabled.

Example: false
updatablebooleanOptional

Whether updatable is enabled.

Example: true
utcConfirmedAtstring · date-time · nullableOptional

Utc confirmed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcCreatedAtstring · date-timeOptional

Utc created at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcExpiresAtstring · date-time · nullableOptional

Utc expires at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtstring · date-timeOptional

Utc updated at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
visibleContactFieldsstring[]Optional

List of visible contact field values.

Example: ["fullName","emailAddress"]
termsAcceptedboolean · nullableOptional

From capability octo/content.

Example: true
returnUrlstring · nullableOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
post
/orders/{orderId}/cancel
200

Successful response

List Orders

get

Order responses include questionAnswers fields.

Query parameters
supplierReferencestringOptional

Filter by exact supplier order reference.

Example: SUP-BOOK-7782
utcCreatedAtStartstringOptional

Filter start time (ISO8601) for created-at range. Must be sent with utcCreatedAtEnd.

Example: 2026-05-14T13:00:00Z
utcCreatedAtEndstringOptional

Filter end time (ISO8601) for created-at range. Must be sent with utcCreatedAtStart.

Example: 2026-05-14T15:00:00Z
utcUpdatedAtStartstringOptional

Filter start time (ISO8601) for updated-at range. Must be sent with utcUpdatedAtEnd.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtEndstringOptional

Filter end time (ISO8601) for updated-at range. Must be sent with utcUpdatedAtStart.

Example: 2026-05-14T15:00:00Z
contactEmailAddressstringOptional

Filter by contact email address.

Example: [email protected]
contactPhoneNumberstringOptional

Filter by contact phone number (must be a valid phone number).

Example: +12025550123
contactLastNamestringOptional

Filter by partial contact last name (minimum 3 characters).

Example: Morning City Tour
Responses
chevron-right
200

Successful response

application/json

From capability octo/cart.

activebooleanOptional

Whether active is enabled.

Example: true
cancellablebooleanOptional

Whether cancellable is enabled.

Example: true
confirmablebooleanOptional

Whether confirmable is enabled.

Example: true
currencystringOptional

ISO 4217 currency code.

Example: USD
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
idstring · uuidOptional

Unique identifier for this resource.

Example: 3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7
invoicePdfUrlstring · nullableOptional

Invoice pdf url URL.

Example: https://www.city-sightseeing.com
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
orderIdstringRequired

Order identifier.

Example: ord_20260514_9f3c21
productIdstringOptional

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
quotebooleanOptional

Whether quote is enabled.

Example: false
requiredContactFieldsstring[]Optional

List of required contact field values.

Example: ["fullName","emailAddress"]
settlementMethodstring · nullableOptional

Settlement method value.

Example: DIRECT
settlementMethodsstring[]Optional

List of settlement method values.

Example: ["DIRECT","DEFERRED"]
statusstringRequired

Current status value.

Example: ON_HOLD
supplierReferencestring · nullableOptional

Supplier reference value.

Example: SUP-BOOK-7782
testModebooleanOptional

Whether test mode is enabled.

Example: false
updatablebooleanOptional

Whether updatable is enabled.

Example: true
utcConfirmedAtstring · date-time · nullableOptional

Utc confirmed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcCreatedAtstring · date-timeOptional

Utc created at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcExpiresAtstring · date-time · nullableOptional

Utc expires at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtstring · date-timeOptional

Utc updated at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
visibleContactFieldsstring[]Optional

List of visible contact field values.

Example: ["fullName","emailAddress"]
termsAcceptedboolean · nullableOptional

From capability octo/content.

Example: true
returnUrlstring · nullableOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
get
/orders
200

Successful response

At least one of the filter groups above is required for GET /orders.

Notify Order

post

Resend order confirmation notifications.

Path parameters
orderIdstringRequired

The order ID

Example: ord_20260514_9f3c21
Body
campaignIdstringOptional

From capability octo/campaigns.

Example: campaign_spring_2026
useContactLanguagebooleanOptional

Whether use contact language is enabled.

Example: true
Responses
chevron-right
200

Successful response

application/json
statusstringRequired

Current status value.

Example: accepted
requestIdstringOptional

Request identifier.

Example: req_20260514_7f29b8
messagestringOptional

Message value.

Example: Request accepted for asynchronous processing.
post
/orders/{orderId}/notify
200

Successful response

POST /orders/{orderId}/notify returns 200 OK with an empty response body.

Order invoice and voucher delivery URLs are returned directly on serialized order/booking objects.

Schema Additions (JSON)

These are additive fragments showing only fields introduced by this capability.

Booking

BookingWriteRequest

Error

Gift

GiftCreateRequest

Last updated